Bug 1129883 - The neutronclient should fallback to password entry via tty if no password given from env or --os-password
Summary: The neutronclient should fallback to password entry via tty if no password gi...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-neutronclient
Version: 5.0 (RHEL 7)
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: 7.0 (Kilo)
Assignee: Assaf Muller
QA Contact: Toni Freger
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-13 20:41 UTC by John Trowbridge
Modified: 2019-06-13 08:03 UTC (History)
9 users (show)

Fixed In Version: python-neutronclient-2.4.0-1.el7ost
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-06 18:52:38 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 114010 None None None Never
Launchpad 1356550 None None None Never

Description John Trowbridge 2014-08-13 20:41:12 UTC
Description of problem:
The neutronclient should fallback to password entry via tty if no password given from env or --os-password

Version-Release number of selected component (if applicable):
This is present upstream.

How reproducible:
Easy to reproduce.

Steps to Reproduce:
1. packstack allinone
2. delete the password line from keystonerc_admin
3. `source keystonerc_admin`
4. `neutron agent-list`

Actual results:
You must provide a password via either --os-password or env[OS_PASSWORD]

Expected results:
Prompt for OS Password as novaclient and keystoneclient do.

Additional info:
I used the method in keystoneclient to make a patch and submitted to upstream.

Comment 2 Russell Bryant 2014-08-14 12:48:42 UTC
How do other clients behave here?  There needs to be consistency.

Comment 3 John Trowbridge 2014-08-14 13:07:35 UTC
Right now there is not consistency.

Nova and Keystone clients both fallback to TTY password entry, although both implement this completely differently.

The seperate "openstack" client also has this feature, and implements it in the same way as the Keystone client.

I used Keystone implementation in my upstream commit.

Comment 5 John Trowbridge 2014-10-28 14:24:26 UTC
This has been merged upstream:

https://review.openstack.org/#/c/114010/

Comment 6 Mike McCune 2016-03-28 22:57:02 UTC
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Comment 7 Lon Hohberger 2016-06-23 18:20:42 UTC
According to our records, this should be resolved by python-neutronclient-2.4.0-2.el7ost.  This build is available now.

Comment 8 Toni Freger 2016-06-30 10:53:35 UTC
Tested on latest OSPd setup: python-neutronclient-2.4.0-1.el7ost


Note You need to log in before you can comment on or make changes to this bug.